Skip to main content
`Ctrl`+`K`

# PCMGMultiplicativeSetCycles

Sets the number of cycles to use for each preconditioner step of multigrid when `PCMGType` is `PC_MG_MULTIPLICATIVE`

## Synopsis

    #include "petscksp.h"
    PetscErrorCode PCMGMultiplicativeSetCycles(PC pc, PetscInt n)

Logically Collective

## Input Parameters

- pc - the multigrid context

- n - number of cycles (default is 1)

## Options Database Key

- -pc_mg_multiplicative_cycles n - set the number of cycles

## Note

This is not associated with setting a v or w cycle, that is set with `PCMGSetCycleType()`

## See Also

KSP: Linear System Solvers, `PCMGSetCycleTypeOnLevel()`, `PCMGSetCycleType()`, `PCMGCycleType`, `PCMGType`

## Level

advanced

## Location

src/ksp/pc/impls/mg/mg.c

Index of all PC routines
Table of Contents for all manual pages
Index of all manual pages